'Newland.CityTheme:PageMixin':
  abstract: true
  superTypes:
    'PageReferenceMixIn': false
  ui:
    inspector:
      groups:
        pageSettings:
          label: Einstellungen
          icon: cogs
        video:
          label: Video
          icon: fas fa-film

  options:
    template:
      childNodes:
        mainContentCollection:
          name: 'main'
          childNodes:
            Container:
              type: 'Newland.CityTheme:Container'

  properties:
    pageReferenceTitle:
      ui: ~
    pageReferenceAbstract:
      ui: ~
    pageReferenceImage:
      ui: ~
    showHero:
      type: boolean
      defaultValue: false
      ui:
        label: Hero anzeigen
        reloadIfChanged: true
        inspector:
          group: pageSettings

    heroTitle:
      type: string
      ui:
        label: Hero-Titel
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: Titel

    heroSubtitle:
      type: string
      ui:
        label: Hero-Untertitel
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: Untertitel

    heroImage:
      type: Neos\Media\Domain\Model\ImageInterface
      ui:
        label: Hero-Bild
        reloadIfChanged: true
        inspector:
          group: pageSettings

    focusPoint:
      type: string
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: pageSettings
        help:
          message: i18n

    introTitle:
      type: string
      #defaultValue: Titel
      ui:
        label: Intro-Titel
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: Titel
    heroVideo:
      type: 'Neos\Media\Domain\Model\Asset'
      ui:
        label: Video
        reloadIfChanged: true
        inspector:
          group: pageSettings

    introText:
      type: string
      ui:
        label: Intro-Text
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: Intro text
            formatting:
              strong: true
              em: true
              a: true
              pre: false
            linking:
              anchor: true
              title: true
              relNofollow: true
              targetBlank: true

  childNodes:
    main:
      constraints:
        nodeTypes:
          '*': false
          'Newland.CityTheme:Container': true
          'Newland.CityTheme:NodeFinderContainer': true
